/* Generated by wayland-scanner 1.20.0 */

#ifndef WEBOS_TABLET_SERVER_PROTOCOL_H
#define WEBOS_TABLET_SERVER_PROTOCOL_H

#include <stdint.h>
#include <stddef.h>
#include "wayland-server-core.h"

#ifdef  __cplusplus
extern "C" {
#endif

struct wl_client;
struct wl_resource;

/**
 * @page page_webos_tablet The webos_tablet protocol
 * @section page_ifaces_webos_tablet Interfaces
 * - @subpage page_iface_wl_webos_tablet - interface for handling tablet events
 * @section page_copyright_webos_tablet Copyright
 * <pre>
 *
 * Copyright (c) 2018-2020 LG Electronics, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * SPDX-License-Identifier: Apache-2.0
 * </pre>
 */
struct wl_webos_tablet;

#ifndef WL_WEBOS_TABLET_INTERFACE
#define WL_WEBOS_TABLET_INTERFACE
/**
 * @page page_iface_wl_webos_tablet wl_webos_tablet
 * @section page_iface_wl_webos_tablet_desc Description
 *
 * This interface handles tablet events that is not implemented
 * in the standard protocol.
 * @section page_iface_wl_webos_tablet_api API
 * See @ref iface_wl_webos_tablet.
 */
/**
 * @defgroup iface_wl_webos_tablet The wl_webos_tablet interface
 *
 * This interface handles tablet events that is not implemented
 * in the standard protocol.
 */
extern const struct wl_interface wl_webos_tablet_interface;
#endif

#ifndef WL_WEBOS_TABLET_POINTER_TYPE_ENUM
#define WL_WEBOS_TABLET_POINTER_TYPE_ENUM
/**
 * @ingroup iface_wl_webos_tablet
 * pointer type
 *
 * Describes the type of the pointer.
 */
enum wl_webos_tablet_pointer_type {
	WL_WEBOS_TABLET_POINTER_TYPE_UNKNOWN = 0,
	WL_WEBOS_TABLET_POINTER_TYPE_PEN = 1,
	WL_WEBOS_TABLET_POINTER_TYPE_CURSOR = 2,
	WL_WEBOS_TABLET_POINTER_TYPE_ERASE = 3,
};
#endif /* WL_WEBOS_TABLET_POINTER_TYPE_ENUM */

#define WL_WEBOS_TABLET_TABLET_EVENT 0

/**
 * @ingroup iface_wl_webos_tablet
 */
#define WL_WEBOS_TABLET_TABLET_EVENT_SINCE_VERSION 1


/**
 * @ingroup iface_wl_webos_tablet
 * Sends an tablet_event event to the client owning the resource.
 * @param resource_ The client's resource
 */
static inline void
wl_webos_tablet_send_tablet_event(struct wl_resource *resource_, struct wl_array *uniqueId, int32_t pointerType, int32_t buttons, wl_fixed_t globalX, wl_fixed_t globalY, int32_t xTilt, int32_t yTilt, wl_fixed_t pressure, wl_fixed_t rotation)
{
	wl_resource_post_event(resource_, WL_WEBOS_TABLET_TABLET_EVENT, uniqueId, pointerType, buttons, globalX, globalY, xTilt, yTilt, pressure, rotation);
}

#ifdef  __cplusplus
}
#endif

#endif
