// Copyright (c) 2013-2019 LG Electronics, Inc.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//
// SPDX-License-Identifier: Apache-2.0

#ifndef COMPOSIOTREXTENSIONFACTORY_H
#define COMPOSIOTREXTENSIONFACTORY_H

#include <QFileSystemWatcher>
#include <QtCore/QStringList>
#include <QHash>

QT_BEGIN_NAMESPACE

class WebOSCoreCompositor;
class CompositorExtension;

class CompositorExtensionFactory
{
public:
    static QHash<QString, CompositorExtension *> create(WebOSCoreCompositor *);
    static void watchTestPluginDir();

public slots:
    static void handleDirectoryChanged(const QString & path);

private:
    static void initializeExtension(CompositorExtension* extension);

    static QFileSystemWatcher m_fileWatcher;
    static WebOSCoreCompositor *m_webosCompositor;
    const static char *pluginDir;
};

QT_END_NAMESPACE

#endif // COMPOSIOTREXTENSIONFACTORY_H
