// Copyright (c) 2013-2018 LG Electronics, Inc.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//
// SPDX-License-Identifier: Apache-2.0

import QtQuick 2.4
import WebOSCompositorBase 1.0

Item {
    id: root

    property string text: ""
    property bool current

    width: Settings.local.notification.pincodePrompt.boxSize
    height: Settings.local.notification.pincodePrompt.boxSize

    focus: false

    Image {
        id: buttonImage
        objectName: "pincodePromptPasswordButtonImage"

        anchors.horizontalCenter: parent.horizontalCenter
        anchors.verticalCenter: parent.verticalCenter

        horizontalAlignment: Text.AlignHCenter
        verticalAlignment: Text.AlignVCenter

        property bool dotVisible: root.text
        property bool circleVisible: root.current

        source: dotVisible && circleVisible ? Settings.local.imageResources.pinBoxDotFocused :
                dotVisible && !circleVisible ? Settings.local.imageResources.pinBoxDot :
                !dotVisible && circleVisible ? Settings.local.imageResources.pinBoxFocused :
                Settings.local.imageResources.pinBox

        width: root.width
        height: root.height
    }
}
